--- linux-2.6.27.6/arch/mips/kernel/8250-platform.c	2008-11-14 01:56:21.000000000 +0800
+++ linux-2.6.27.6.yaffs/arch/mips/kernel/8250-platform.c	2011-05-08 18:02:21.000000000 +0800
@@ -20,10 +20,24 @@
 }
 
 static struct plat_serial8250_port uart8250_data[] = {
+#ifdef CONFIG_LEMOTE_FULONG2F
+#if 1 //for fl
+	PORT(0x2F8, 3),
+#else
+	{.membase = (void*)(0xffffffffbff003f8),
+	.irq = 19,
+	.uartclk = 3686400,
+	.iotype = UPIO_MEM,
+	.flags = UPF_BOOT_AUTOCONF | UPF_SKIP_TEST ,
+	.regshift = 0,
+	},
+#endif
+#else
 	PORT(0x3F8, 4),
 	PORT(0x2F8, 3),
 	PORT(0x3E8, 4),
 	PORT(0x2E8, 3),
+#endif
 	{ },
 };
 
